Instalação do GLPI 9.4.5 no Debian 10.3

Publicado por Heber Augusto Prill Lima em 16/03/2020

[ Hits: 4.294 ]

Blog: http://www.vivaolinux.com.br/~prill

 


Instalação do GLPI 9.4.5 no Debian 10.3



Instalação

Instalação dos pacotes necessários:

# apt -y install apache2 bsdtar bzip2 curl libapache2-mod-php7.3 libmariadbd-dev mariadb-server php-soap php-cas php7.3 php-apcu php7.3-cli php7.3-common php7.3-curl php7.3-gd php7.3-imap php7.3-ldap php7.3-mysql php7.3-snmp php7.3-xmlrpc php7.3-xml php7.3-mbstring php7.3-bcmath

Download do GLPI 9.4.5:

wget -qO- https://github.com/glpi-project/glpi/releases/download/9.4.5/glpi-9.4.5.tgz | tar -zxv

Mover o diretório GLPI para /var/www/html/:

# mv glpi /var/www/html/

Conceder permissão ao usuário do Apache no diretório /var/www/html/glpi:

# chown www-data:www-data /var/www/html/glpi -Rf
# chmod 775 /var/www/html/glpi -Rf

Configuração do apache2 para o GLPI

Criar o arquivo "glpi.conf" em /etc/apache2/conf-available/:

# nano /etc/apache2/conf-available/glpi.conf

Conteúdo do arquivo "glpi.conf":

<Directory /var/www/html/glpi>
    AllowOverride All
</Directory>

Habilitando configuração do GLPi:

# a2enconf glpi.conf
# systemctl reload apache2

Criação do Banco de Dados e Usuário do Banco:

mysql -u root -e "create database glpi character set utf8";
mysql -u root -e "create user 'glpi'@'localhost' identified by '123456'";
mysql -u root -e "grant all privileges on glpi.* to 'glpi'@'localhost' with grant option";

Abra o navegador: http://IPdoServidor/glpi
Após o primeiro login com o usuário "glpi", é pedido para remover o arquivo "install.php".

Após terminar instalação, remova o arquivo "install.php".:

# rm /var/www/html/glpi/install/install.php

Pronto! Instalação do GLPI concluída.

Fontes


Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Como instalar o Oracle Java 7 no Debian via repositório PPA

Instalando o jSMS no Mandriva 2006

Após período de incerteza, aptosid renasce a partir do antigo sidux

Saudades do After Effects? Instale o Natron como alternativa

DBDesigner: Resolvendo problemas com biblioteca

  

Comentários
[1] Comentário enviado por prill em 02/08/2020 - 23:12h

Na nova versão, 9.5, do glpi é necessário instalar também os pacotes php-bz2 e php-zip.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts